Bug 122622 - kernel crashed when copying large file to removable hard disk!!!
kernel crashed when copying large file to removable hard disk!!!
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
rawhide
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Pete Zaitcev
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-06 08:54 EDT by Need Real Name
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-07 01:08:07 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2004-05-06 08:54:51 EDT
Description of problem:

I'm trying to copying an ISO file from root partition (/dev/hda3) to
my removable hard disk. My removable hard disk is 30GB TOSHIBA 2.5
inch hard disk with an IEEE1394/USB 2.0 removable hard disk case. The
hard disk connected to the system through USB 2.0 interface. The
system assigned /dev/sda with it. I mounted /dev/sda3, which is a ext3
partition I've just created. I typed the following command:

mke2fs -j /dev/sda3
tune2fs -c 60 -i 180 /dev/sda3
mount /dev/sda3 /mnt/tmp
cp /tmp/20040506.iso /mnt/tmp

The copying operation starts. But after a minute, a few lines of
kernel message printed out. The system dies... I cannot copy the
message exactly because the system died. The main idea is that, error
in kernel 2.6.5-smp, the swap is failed, and some register values
printed out also. The ISO file is produced by mkisofs, and about
4381MB in size. I'm planning to burn it on a DVD-R.

Also, my motherboard is INTEL D865PERL, /dev/hda and /dev/hdb are IDE
hard disks, hda is 120GB and hdb is 80GB. The system has 512MB DDR RAM.

I tried the operation twice, the same error occured, so I think it's
not a random error. I also tried the same operation within Red Hat
Linux 9.0.93 CDROM rescue mode, the copying operation successed.
Comment 1 Pete Zaitcev 2004-08-19 20:00:39 EDT
Modified in linux-2.4.22-1.2197.
Please confirm and close.
Comment 2 Dave Jones 2004-12-07 01:08:07 EST
fc1 - eol

Note You need to log in before you can comment on or make changes to this bug.